"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TNSRTCDTMFSender_1 = require("./TNSRTCDTMFSender");
var TNSRTCRtpParameters_1 = require("./TNSRTCRtpParameters");
var TNSRTCRtpSenderBase_1 = require("../base/TNSRTCRtpSenderBase");
var TNSRTCMediaStreamTrack_1 = require("./TNSRTCMediaStreamTrack");
var TNSRTCRtpSender = (function (_super) {
    __extends(TNSRTCRtpSender, _super);
    function TNSRTCRtpSender(sender) {
        return _super.call(this, sender) || this;
    }
    TNSRTCRtpSender.fromNative = function (sender) {
        return new TNSRTCRtpSender(sender);
    };
    Object.defineProperty(TNSRTCRtpSender.prototype, "instance", {
        get: function () {
            return this._sender;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCRtpSender.prototype, "android", {
        get: function () {
            return this._sender.getSender();
        },
        enumerable: true,
        configurable: true
    });
    TNSRTCRtpSender.prototype.dispose = function () {
        this._sender.dispose();
    };
    TNSRTCRtpSender.prototype.replaceTrack = function (track) {
        this._sender.replaceTrack(track.instance);
    };
    Object.defineProperty(TNSRTCRtpSender.prototype, "dtmf", {
        get: function () {
            return TNSRTCDTMFSender_1.TNSRTCDTMFSender.fromNative(this._sender.getDtmf());
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCRtpSender.prototype, "id", {
        get: function () {
            return this._sender.getId();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCRtpSender.prototype, "track", {
        get: function () {
            return TNSRTCMediaStreamTrack_1.TNSRTCMediaStreamTrack.fromNative(this._sender.getTrack());
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCRtpSender.prototype, "parameters", {
        get: function () {
            return TNSRTCRtpParameters_1.TNSRTCRtpParameters.fromNative(this._sender.getParameters());
        },
        enumerable: true,
        configurable: true
    });
    return TNSRTCRtpSender;
}(TNSRTCRtpSenderBase_1.TNSRTCRtpSenderBase));
exports.TNSRTCRtpSender = TNSRTCRtpSender;
//# sourceMappingURL=TNSRTCRtpSender.js.map