"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TNSRTCSdpType_1 = require("./TNSRTCSdpType");
var TNSRTCSessionDescription = (function () {
    function TNSRTCSessionDescription() {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        if (args.length === 1) {
            this._sessionDescription = args[0];
        }
        else {
            var type = args[0];
            var sdp = args[1];
            var nativeType = void 0;
            switch (type) {
                case TNSRTCSdpType_1.TNSRTCSdpType.ANSWER:
                    nativeType = 0;
                    break;
                case TNSRTCSdpType_1.TNSRTCSdpType.OFFER:
                    nativeType = 1;
                    break;
                case TNSRTCSdpType_1.TNSRTCSdpType.PRANSWER:
                    nativeType = 2;
                    break;
                case TNSRTCSdpType_1.TNSRTCSdpType.ROLLBACK:
                    nativeType = 3;
                    break;
            }
            this._sessionDescription = FancyRTCSessionDescription.alloc().initWithTypeDescription(nativeType, sdp);
        }
    }
    Object.defineProperty(TNSRTCSessionDescription.prototype, "type", {
        get: function () {
            switch (this._sessionDescription.type) {
                case 0:
                    return TNSRTCSdpType_1.TNSRTCSdpType.ANSWER;
                case 1:
                    return TNSRTCSdpType_1.TNSRTCSdpType.OFFER;
                case 2:
                    return TNSRTCSdpType_1.TNSRTCSdpType.PRANSWER;
                default:
                    return null;
            }
        },
        enumerable: true,
        configurable: true
    });
    TNSRTCSessionDescription.fromNative = function (sdp) {
        return new TNSRTCSessionDescription(sdp);
    };
    Object.defineProperty(TNSRTCSessionDescription.prototype, "sdp", {
        get: function () {
            return this._sessionDescription.sdp;
        },
        enumerable: true,
        configurable: true
    });
    TNSRTCSessionDescription.prototype.toJSON = function () {
        return this._sessionDescription.toJSON();
    };
    Object.defineProperty(TNSRTCSessionDescription.prototype, "instance", {
        get: function () {
            return this._sessionDescription;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCSessionDescription.prototype, "ios", {
        get: function () {
            return this._sessionDescription.sessionDescription;
        },
        enumerable: true,
        configurable: true
    });
    return TNSRTCSessionDescription;
}());
exports.TNSRTCSessionDescription = TNSRTCSessionDescription;
//# sourceMappingURL=TNSRTCSessionDescription.js.map